Password Signup
Creates a new password-based account. A verification email will be sent to confirm the email address.
Authentication: None required
Protection: Requires Cloudflare Turnstile token
Authorization
BearerAuth JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
Email address for the new account
emaillength <= 255Password for the new account
8 <= length <= 128Cloudflare Turnstile token for bot protection
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.PasswordService/PasswordSignup" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Password Login POST
Authenticates with email and password. Returns an exchange code for the HandleLogin flow. Email must be verified. **Authentication:** None required **Protection:** Rate limited; requires Cloudflare Turnstile token when the organisation enables it
Regenerate Recovery Codes POST
Generates a new set of recovery codes, invalidating all previous codes. Requires current password. **Required scopes:** `auth:account:edit`